> ## Documentation Index
> Fetch the complete documentation index at: https://developer.duplik.cn/llms.txt
> Use this file to discover all available pages before exploring further.

> 获取一个应用的信息

# Get Space



## OpenAPI

````yaml get /v1/spaces/{space_id}
openapi: 3.0.2
info:
  title: Duplik Backend
  description: The API for Duplik Backend.
  version: 0.1.0
servers:
  - url: https://api.duplik.cn
security: []
paths:
  /v1/spaces/{space_id}:
    get:
      tags:
        - openapi-space
      summary: Get Space
      operationId: get_space_home_v1_spaces__space_id__get
      parameters:
        - required: true
          schema:
            title: Space Id
            type: integer
          name: space_id
          in: path
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SpaceHome'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    SpaceHome:
      title: SpaceHome
      required:
        - space_id
      type: object
      properties:
        created_at:
          title: Created At
          type: integer
        updated_at:
          title: Updated At
          type: integer
        type:
          title: Type
          type: integer
          description: '1: Search, 2: Chat, '
          default: 1
        name:
          title: Name
          maxLength: 128
          type: string
        description:
          title: Description
          maxLength: 512
          type: string
          default: ''
        icon:
          title: Icon
          type: string
          description: icon url
          default: ''
        bg_color:
          title: Bg Color
          type: string
          description: background color
          default: ''
        copyright:
          title: Copyright
          type: string
          description: copyright
        status:
          title: Status
          type: integer
          default: 1
        web_enabled:
          title: Web Enabled
          type: boolean
          description: 'space web enabled, 0: disabled, 1: enabled'
          default: true
        api_enabled:
          title: Api Enabled
          type: boolean
          description: 'space api enabled, 0: disabled, 1: enabled'
          default: true
        show_relevant_sources:
          title: Show Relevant Sources
          type: boolean
          description: 'show relevant sources, 0: no, 1: yes'
          default: true
        space_id:
          title: Space Id
          type: string
        welcome_note:
          title: Welcome Note
          type: string
          default: ''
        recommended_questions:
          title: Recommended Questions
          type: array
          items:
            $ref: '#/components/schemas/RecommendedQuestion'
          default: []
        tool_mode:
          title: Tool Mode
          type: integer
        tool_count:
          title: Tool Count
          type: integer
          default: 0
    ErrorResponse:
      title: ErrorResponse
      required:
        - code
        - message
      type: object
      properties:
        code:
          title: Code
          type: integer
        message:
          title: Message
          type: string
    RecommendedQuestion:
      title: RecommendedQuestion
      required:
        - question
      type: object
      properties:
        question:
          title: Question
          type: string
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````